Bug 96075 - Frame and image alignment buttons not using correct tooltips
Summary: Frame and image alignment buttons not using correct tooltips
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
5.0.3.2 release
Hardware: All All
: medium normal
Assignee: Samuel Mehrbrodt (CIB)
URL:
Whiteboard: target:5.2.0 target:5.1.0.1 target:5.0.6
Keywords: bibisected, bisected, regression
Depends on:
Blocks:
 
Reported: 2015-11-25 20:52 UTC by Yousuf Philips (jay) (retired)
Modified: 2016-10-25 19:11 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Yousuf Philips (jay) (retired) 2015-11-25 20:52:50 UTC
Steps:
1) Open Writer
2) Insert an frame or image
3) Select the frame or image
4) The 3 vertical alignment buttons have the tooltips Top, Center, and Bottom rather than Align Top, Align Vertical Center, and Align Bottom

This is a regression as it is correct in 4.4. It is likely pulling the tooltip from .uno:CommonAlignTop, .uno:CommonAlignVerticalCenter, .uno:CommonAlignBottom.

Version: 5.1.0.0.alpha1+
Build ID: f6bc5b79c31225c02e9500d0ced4bd26f998f82b
TinderBox: Linux-rpm_deb-x86_64@70-TDF, Branch:master, Time: 2015-11-24_01:06:28
Locale: en-US (en_US.UTF-8)
Comment 1 A (Andy) 2015-11-25 23:17:23 UTC
Reproducible with LO 5.0.3.2, Win 8.1
Comment 2 Maxim Monastirsky 2015-11-25 23:57:44 UTC
Regression of:

commit 4890dd0c441a6c95003fe91ad1d983de6b49ec57
Author: Samuel Mehrbrodt <Samuel.Mehrbrodt@cib.de>
Date:   Tue Sep 15 11:47:20 2015 +0200

    tdf#94198 Printer missing from tooltip
Comment 3 Samuel Mehrbrodt (CIB) 2015-12-10 17:20:41 UTC
Will look after this.
Comment 4 Commit Notification 2015-12-11 10:21:09 UTC
Samuel Mehrbrodt committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=ba659f71f482dd74a83aaa9710ea65fff27ac274

tdf#96075 Frame alignment buttons not using correct tooltips

It will be available in 5.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Commit Notification 2015-12-11 10:28:44 UTC
Samuel Mehrbrodt committed a patch related to this issue.
It has been pushed to "libreoffice-5-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=4ebfc20386b4c3945c6387e464246f5f630efab1&h=libreoffice-5-1

tdf#96075 Frame alignment buttons not using correct tooltips

It will be available in 5.1.0.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Yousuf Philips (jay) (retired) 2015-12-11 11:35:45 UTC
@Samuel: Can we push this also into 5.0 as its broken there?
Comment 7 Robinson Tryon (qubit) 2015-12-17 10:53:18 UTC Comment hidden (obsolete)
Comment 8 Commit Notification 2016-02-01 12:50:00 UTC
Samuel Mehrbrodt committed a patch related to this issue.
It has been pushed to "libreoffice-5-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=acfc9935a41d45619d09d05abe6d933c3cd9fcc7&h=libreoffice-5-0

tdf#96075 Frame alignment buttons not using correct tooltips

It will be available in 5.0.6.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.